Devuan bug report logs - #255
afterstep unable to load

Package: afterstep; Reported by: Kristopher John Gamrat <gamrat.kristopher@gmail.com>;
Date: Sun, 11 Nov 2018 16:18:01 UTC;
Maintainer for afterstep is (unknown).

View this report as an mbox folder.


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#255; Package afterstep. Full text available.



Acknowledgement sent to Kristopher John Gamrat <gamrat.kristopher@gmail.com>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. Full text available.



Message received at submit@bugs.devuan.org:

From: Kristopher John Gamrat <gamrat.kristopher@gmail.com>
To: submit@bugs.devuan.org
Subject: afterstep unable to load
Date: Sun, 11 Nov 2018 11:01:25 -0500

[Message part 1 (text/plain, inline)]

Package: afterstep
Version: 2.2.12-9

I am running Devuan Ascii with all updates applied as of 11 November 2018. 
Afterstep seems unable to run: I see the Afterstep loading screen, but it 
immediately fails and returns me to the login manager. Pasted below is my 
~/.xsession-errors file with my user name scrubbed. As far as I can tell, 
there is no "core dump" with which to use gdb on, so I cannot provide any 
other "results" as suggested at the end of my ~/.xsession-errors file.

Xsession: X session started for <username> at Wed Nov  7 21:52:35 EST 2018
localuser:<username> being added to access control list
Error: couldn't find RGB GLX visual or fbconfig
OpenGL version not found.
dbus-update-activation-environment: systemd --user not found, 
ignoring --systemd argument
dbus-update-activation-environment: setting DM_CONTROL=/var/run/xdmctl
dbus-update-activation-environment: setting USER=<username>
dbus-update-activation-environment: setting 
XDM_MANAGED=/var/run/xdmctl/xdmctl-:0,maysd,mayfn,sched,rsvd,method=classic
dbus-update-activation-environment: setting HOME=/home/<username>
dbus-update-activation-environment: setting 
XDG_SESSION_COOKIE=a6fd0f5b5a31d78e00d761b25a7dc2dc-1541645554.969384-947389119
dbus-update-activation-environment: setting DESKTOP_SESSION=AfterStep
dbus-update-activation-environment: setting LOGNAME=<username>
dbus-update-activation-environment: setting XDG_SESSION_CLASS=greeter
dbus-update-activation-environment: setting 
PATH=/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/games
dbus-update-activation-environment: setting DISPLAY=:0
dbus-update-activation-environment: setting LANG=en_US.UTF-8
dbus-update-activation-environment: setting XDG_SESSION_DESKTOP=AfterStep
dbus-update-activation-environment: setting SHELL=/bin/zsh
dbus-update-activation-environment: setting PWD=/home/<username>
dbus-update-activation-environment: setting SHLVL=1
dbus-update-activation-environment: setting OLDPWD=/home/<username>
dbus-update-activation-environment: setting 
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-o2UmaIsEmR,guid=6660d2e5da51908390699c785be3a4fa
dbus-update-activation-environment: setting 
GPG_AGENT_INFO=/home/<username>/.gnupg/S.gpg-agent:0:1
dbus-update-activation-environment: setting 
_=/usr/bin/dbus-update-activation-environment
afterstep ERROR: Failed to register as a client with the Gnome Session 
Manager. DBus error: The name org.gnome.SessionManager was not provided by 
any .service files
afterstep ERROR: Cannot open 
file /home/<username>/.afterstep/non-configurable/workspace_state for 
writing!
 Please check permissions or contact your sysadmin !
number of items in /usr/share/afterstep/applications = 18
number of items in /usr/share/applications = 91
number of items in /usr/share/applications/screensavers = 244
number of items in /usr/share/applications = 91
number of items in /usr/share/applications/screensavers = 244
number of items in /usr/share/applications = 91
number of items in /usr/share/applications/screensavers = 244
number of items in /usr/share/applications = 91
number of items in /usr/share/applications/screensavers = 244
number of items in /usr/share/applications = 91
number of items in /usr/share/applications/screensavers = 244
number of items in /var/lib/menu-xdg = 4
number of items in /var/lib/menu-xdg/xsessions = 1
number of items in /var/lib/menu-xdg/menus = 1
number of items in /var/lib/menu-xdg/applications = 1
number of items in /var/lib/menu-xdg/applications/menu-xdg = 221
number of items in /var/lib/menu-xdg/desktop-directories = 1
number of items in /var/lib/menu-xdg/desktop-directories/menu-xdg = 44
afterstep ERROR: unable to locate the fixed menu directory at "(null)"
Segmentation Fault trapped in afterstep.
 Call Backtrace :
 CALL#: ADDRESS:    FUNCTION:
     1  0xb75c7b20  [/usr/lib/i386-linux-gnu/libAfterBase.so.0(+0x13b20) 
[0xb75c7b20]]
     2  0xb7718d04  [linux-gate.so.1(__kernel_sigreturn+0) [0xb7718d04]]
     3  0x806a596  [/usr/bin/afterstep(dirtree_fill_from_reference+0x96) 
[0x806a596]]
     4  0x806af54  [/usr/bin/afterstep(dirtree_parse+0x894) [0x806af54]]
     5  0x806b014  [/usr/bin/afterstep(dirtree_parse_include+0xb4) 
[0x806b014]]
     6  0x806afe9  [/usr/bin/afterstep(dirtree_parse_include+0x89) 
[0x806afe9]]
     7  0x806afe9  [/usr/bin/afterstep(dirtree_parse_include+0x89) 
[0x806afe9]]
     8  0x806afe9  [/usr/bin/afterstep(dirtree_parse_include+0x89) 
[0x806afe9]]
     9  0x806aa78  [/usr/bin/afterstep(dirtree_parse+0x3b8) [0x806aa78]]
    10  0x806b014  [/usr/bin/afterstep(dirtree_parse_include+0xb4) 
[0x806b014]]
    11  0x806afe9  [/usr/bin/afterstep(dirtree_parse_include+0x89) 
[0x806afe9]]
    12  0x8063672  [/usr/bin/afterstep(MeltStartMenu+0xf2) [0x8063672]]
    13  0x80644fa  [/usr/bin/afterstep(LoadASConfig+0xb8a) [0x80644fa]]
    14  0x80584ff  [/usr/bin/afterstep(main+0x3ff) [0x80584ff]]
    15  0xb701d286  [/lib/i386-linux-gnu/libc.so.6(__libc_start_main+0xf6) 
[0xb701d286]]
    16  0x8058886  [/usr/bin/afterstep() [0x8058886]]
Please collect all the listed information and submit a bug report to 
<as-bugs@afterstep.org>.
If core dump was generated by this fault, please examine it with gdb and 
attach results to your report.
 You can use the following sequence to do so :
   gdb -core core /usr/bin/afterstep
   gdb>backtrace
   gdb>info frame
   gdb>info all-registers
   gdb>disassemble

[signature.asc (application/pgp-signature, inline)]






Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#255; Package afterstep. Full text available.



Acknowledgement sent to Kristopher John Gamrat <gamrat.kristopher@gmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. Full text available.



Message received at 255@bugs.devuan.org:

From: Kristopher John Gamrat <gamrat.kristopher@gmail.com>
To: 255@bugs.devuan.org
Subject: Extended xsession-errors
Date: Tue, 13 Nov 2018 22:05:30 -0500

[Message part 1 (text/plain, inline)]

I rebuilt the afterstep packages (retrieved with `apt-get source afterstep`) 
with debugging enabled. This resulted in a much larger ~/.xsession-errors 
file. Since my email client seems not to like huge pastes, I am attaching it. 
Please let me know if the Devuan bug tracker does not recognize attachments, 
I will see if I can make it work with a copy-and-paste.

[afterstep-errors (text/plain, attachment)]



[signature.asc (application/pgp-signature, inline)]






Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#255; Package afterstep. Full text available.



Acknowledgement sent to Kristopher John Gamrat <gamrat.kristopher@gmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. Full text available.



Message received at 255@bugs.devuan.org:

From: Kristopher John Gamrat <gamrat.kristopher@gmail.com>
To: 255@bugs.devuan.org
Subject: gdb output
Date: Tue, 13 Nov 2018 22:07:57 -0500

[Message part 1 (text/plain, inline)]

I rebuilt the afterstep packages (retrieved with `apt-get source afterstep`) 
with debugging enabled. Afterstep did not produce a core dump as suggested in 
~/.xsession-errors , however I managed to attach gdb to afterstep at login 
and followed through with the rest of the suggestions from 
~/.xsession-errors . Below is the output.



(gdb) bt full
#0  0xb7729cf9 in __kernel_vsyscall ()
No symbol table info available.
#1  0xb70e5bc3 in poll () from /lib/i386-linux-gnu/libc.so.6
No symbol table info available.
#2  0xb71f0f8b in _dbus_poll () from /lib/i386-linux-gnu/libdbus-1.so.3
No symbol table info available.
#3  0xb71e9e38 in ?? () from /lib/i386-linux-gnu/libdbus-1.so.3
No symbol table info available.
#4  0xb71e891f in ?? () from /lib/i386-linux-gnu/libdbus-1.so.3
No symbol table info available.
#5  0xb71d0900 in ?? () from /lib/i386-linux-gnu/libdbus-1.so.3
No symbol table info available.
#6  0xb71d1354 in ?? () from /lib/i386-linux-gnu/libdbus-1.so.3
No symbol table info available.
#7  0xb71e26e0 in dbus_pending_call_block () 
from /lib/i386-linux-gnu/libdbus-1.so.3
No symbol table info available.
#8  0xb71d1983 in dbus_connection_send_with_reply_and_block () 
from /lib/i386-linux-gnu/libdbus-1.so.3
No symbol table info available.
#9  0x00476910 in asdbus_SendSimpleCommandSync (descr=0x4c164c <dbusUPower>, 
command=0x4a151c "SuspendAllowed",
    timeout=-1) at dbus.c:553
        error = {name = 0x0, message = 0x0, dummy1 = 1, dummy2 = 0, dummy3 = 
1, dummy4 = 1, dummy5 = 1,
          padding1 = 0xb75bcd13 <get_hash_item+83>}
        message = 0x1563d40
        reply = 0x0
        conn = 0x1565ac8
#10 0x00476a02 in asdbus_GetIndicator (descr=0x4c164c <dbusUPower>, 
command=0x4a151c "SuspendAllowed")
    at dbus.c:586
        res = 0
        reply = <optimized out>
#11 0x00476d22 in asdbus_GetCanSuspend () at dbus.c:735
No locals.
#12 0x00469b34 in CanSuspend () at afterstep.c:711
No locals.
#13 0x00469d5e in RemapFunctions () at afterstep.c:757
        fname = 
0x1567790 "/home/krehart/.afterstep/non-configurable/remapped_functions"
        realfilename = 
0x15677d8 "/home/krehart/.afterstep/non-configurable/remapped_functions"
        fp = 0x1567820
#14 0x00467718 in main (argc=<optimized out>, argv=<optimized out>, 
envp=<optimized out>) at afterstep.c:224
        i = <optimized out>
        start_viewport_x = 0
        start_viewport_y = 0
        start_desk = 0
---Type <return> to continue, or q <return> to quit---
        __FUNCTION__ = "main"
(gdb) info frame
Stack level 14, frame at 0xbfe397e0:
 eip = 0x467718 in main (afterstep.c:224); saved eip = 0xb7020286
 caller of frame at 0xbfe39770
 source language c.
 Arglist at 0xbfe397c8, args: argc=<optimized out>, argv=<optimized out>, 
envp=<optimized out>
 Locals at 0xbfe397c8, Previous frame's sp is 0xbfe397e0
 Saved registers:
  ebx at 0xbfe397bc, ebp at 0xbfe397c8, esi at 0xbfe397c0, edi at 0xbfe397c4, 
eip at 0xbfe397dc
(gdb) info all-registers
eax            0xfffffdfc       -516
ecx            0x1      1
edx            0x61a8   25000
ebx            0x4c0000 4980736
esp            0xbfe39770       0xbfe39770
ebp            0xbfe397c8       0xbfe397c8
esi            0x49e1b5 4841909
edi            0x49e3bc 4842428
eip            0x467718 0x467718 <main+552>
eflags         0x200246 [ PF ZF IF ID ]
cs             0x73     115
ss             0x7b     123
ds             0x7b     123
es             0x7b     123
fs             0x0      0
gs             0x33     51
st0            0        (raw 0x00000000000000000000)
st1            0        (raw 0x00000000000000000000)
st2            0        (raw 0x00000000000000000000)
st3            0        (raw 0x00000000000000000000)
st4            0        (raw 0x00000000000000000000)
st5            0        (raw 0x00000000000000000000)
st6            0        (raw 0x00000000000000000000)
st7            0        (raw 0x00000000000000000000)
fctrl          0x37f    895
fstat          0x0      0
ftag           0xffff   65535
fiseg          0x73     115
fioff          0xb4643ea8       -1268498776
foseg          0x7b     123
fooff          0xb474eac8       -1267406136
fop            0x774    1908
xmm0           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 
0x8000000000000000}, v16_int8 = {0x0, 0xff,
    0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0x0, 0xff, 0xff, 
0xff}, v8_int16 = {0xff00, 0x0, 0x0,
    0x0, 0xff00, 0xffff, 0xff00, 0xffff}, v4_int32 = {0xff00, 0x0, 0xffffff00, 
0xffffff00}, v2_int64 = {0xff00,
    0xffffff00ffffff00}, uint128 = 0xffffff00ffffff00000000000000ff00}
xmm1           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, 
v16_int8 = {0x73, 0x0, 0x1b, 0xb7,
    0xb8, 0xb7, 0x1b, 0xb7, 0x10, 0x0, 0x0, 0x0, 0x99, 0x0, 0x0, 0x0}, 
v8_int16 = {0x73, 0xb71b, 0xb7b8, 0xb71b,
    0x10, 0x0, 0x99, 0x0}, v4_int32 = {0xb71b0073, 0xb71bb7b8, 0x10, 0x99}, 
v2_int64 = {0xb71bb7b8b71b0073,
    0x9900000010}, uint128 = 0x0000009900000010b71bb7b8b71b0073}
xmm2           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = 
{0x8000000000000000, 0x8000000000000000},
  v16_int8 = {0x74, 0x69, 0x6f, 0x6e, 0x20, 0x64, 0x69, 0x64, 0x20, 0x6e, 
0x6f, 0x74, 0x20, 0x73, 0x65, 0x6e},
---Type <return> to continue, or q <return> to quit---
  v8_int16 = {0x6974, 0x6e6f, 0x6420, 0x6469, 0x6e20, 0x746f, 0x7320, 0x6e65}, 
v4_int32 = {0x6e6f6974,
    0x64696420, 0x746f6e20, 0x6e657320}, v2_int64 = {0x646964206e6f6974, 
0x6e657320746f6e20},
  uint128 = 0x6e657320746f6e20646964206e6f6974}
xmm3           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = 
{0x8000000000000000, 0x8000000000000000},
  v16_int8 = {0x64, 0x20, 0x61, 0x20, 0x72, 0x65, 0x70, 0x6c, 0x79, 0x2c, 
0x20, 0x74, 0x68, 0x65, 0x20, 0x6d},
  v8_int16 = {0x2064, 0x2061, 0x6572, 0x6c70, 0x2c79, 0x7420, 0x6568, 0x6d20}, 
v4_int32 = {0x20612064,
    0x6c706572, 0x74202c79, 0x6d206568}, v2_int64 = {0x6c70657220612064, 
0x6d20656874202c79},
  uint128 = 0x6d20656874202c796c70657220612064}
xmm4           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = 
{0x8000000000000000, 0x8000000000000000},
  v16_int8 = {0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x20, 0x62, 0x75, 0x73, 
0x20, 0x73, 0x65, 0x63, 0x75, 0x72},
  v8_int16 = {0x7365, 0x6173, 0x6567, 0x6220, 0x7375, 0x7320, 0x6365, 0x7275}, 
v4_int32 = {0x61737365,
    0x62206567, 0x73207375, 0x72756365}, v2_int64 = {0x6220656761737365, 
0x7275636573207375},
  uint128 = 0x72756365732073756220656761737365}
xmm5           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = 
{0x8000000000000000, 0x8000000000000000},
  v16_int8 = {0x69, 0x74, 0x79, 0x20, 0x70, 0x6f, 0x6c, 0x69, 0x63, 0x79, 
0x20, 0x62, 0x6c, 0x6f, 0x63, 0x6b},
  v8_int16 = {0x7469, 0x2079, 0x6f70, 0x696c, 0x7963, 0x6220, 0x6f6c, 0x6b63}, 
v4_int32 = {0x20797469,
    0x696c6f70, 0x62207963, 0x6b636f6c}, v2_int64 = {0x696c6f7020797469, 
0x6b636f6c62207963},
  uint128 = 0x6b636f6c62207963696c6f7020797469}
xmm6           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = 
{0x8000000000000000, 0x8000000000000000},
  v16_int8 = {0x65, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x72, 0x65, 0x70, 
0x6c, 0x79, 0x2c, 0x20, 0x74, 0x68},
  v8_int16 = {0x6465, 0x7420, 0x6568, 0x7220, 0x7065, 0x796c, 0x202c, 0x6874}, 
v4_int32 = {0x74206465,
    0x72206568, 0x796c7065, 0x6874202c}, v2_int64 = {0x7220656874206465, 
0x6874202c796c7065},
  uint128 = 0x6874202c796c70657220656874206465}
xmm7           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, 
v16_int8 = {0x65, 0x20, 0x72, 0x65,
    0x70, 0x6c, 0x79, 0x20, 0x74, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x20}, 
v8_int16 = {0x2065, 0x6572, 0x6c70,
    0x2079, 0x6974, 0x656d, 0x756f, 0x2074}, v4_int32 = {0x65722065, 
0x20796c70, 0x656d6974, 0x2074756f},
  v2_int64 = {0x20796c7065722065, 0x2074756f656d6974}, uint128 = 
0x2074756f656d697420796c7065722065}
mxcsr          0x1f80   [ IM DM ZM OM UM PM ]
mm0            {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 
0x0, 0x0}, v8_int8 = {0x0, 0x0, 0x0,
    0x0, 0x0, 0x0, 0x0, 0x0}}
mm1            {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 
0x0, 0x0}, v8_int8 = {0x0, 0x0, 0x0,
    0x0, 0x0, 0x0, 0x0, 0x0}}
mm2            {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 
0x0, 0x0}, v8_int8 = {0x0, 0x0, 0x0,
    0x0, 0x0, 0x0, 0x0, 0x0}}
mm3            {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 
0x0, 0x0}, v8_int8 = {0x0, 0x0, 0x0,
    0x0, 0x0, 0x0, 0x0, 0x0}}
mm4            {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 
0x0, 0x0}, v8_int8 = {0x0, 0x0, 0x0,
    0x0, 0x0, 0x0, 0x0, 0x0}}
mm5            {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 
0x0, 0x0}, v8_int8 = {0x0, 0x0, 0x0,
    0x0, 0x0, 0x0, 0x0, 0x0}}
mm6            {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 
0x0, 0x0}, v8_int8 = {0x0, 0x0, 0x0,
    0x0, 0x0, 0x0, 0x0, 0x0}}
---Type <return> to continue, or q <return> to quit---
mm7            {uint64 = 0x0, v2_int32 = {0x0, 0x0}, v4_int16 = {0x0, 0x0, 
0x0, 0x0}, v8_int8 = {0x0, 0x0, 0x0,
    0x0, 0x0, 0x0, 0x0, 0x0}}
(gdb) disassemble
Dump of assembler code for function main:
   0x004674f0 <+0>:     lea    0x4(%esp),%ecx
   0x004674f4 <+4>:     and    $0xfffffff0,%esp
   0x004674f7 <+7>:     pushl  -0x4(%ecx)
   0x004674fa <+10>:    push   %ebp
   0x004674fb <+11>:    mov    %esp,%ebp
   0x004674fd <+13>:    push   %edi
   0x004674fe <+14>:    push   %esi
   0x004674ff <+15>:    push   %ebx
   0x00467500 <+16>:    push   %ecx
   0x00467501 <+17>:    call   0x467cd0 <__x86.get_pc_thunk.bx>
   0x00467506 <+22>:    add    $0x58afa,%ebx
   0x0046750c <+28>:    sub    $0x44,%esp
   0x0046750f <+31>:    mov    (%ecx),%eax
   0x00467511 <+33>:    mov    0x4(%ecx),%esi
   0x00467514 <+36>:    lea    -0x3a600(%ebx),%edx
   0x0046751a <+42>:    mov    0x8(%ecx),%edi
   0x0046751d <+45>:    mov    %eax,-0x1c(%ebp)
   0x00467520 <+48>:    mov    -0x14c(%ebx),%eax
   0x00467526 <+54>:    mov    %edx,(%eax)
   0x00467528 <+56>:    lea    -0x3a4b0(%ebx),%edx
   0x0046752e <+62>:    mov    -0xe8(%ebx),%eax
   0x00467534 <+68>:    mov    %edx,(%eax)
   0x00467536 <+70>:    lea    -0x21c5d(%ebx),%eax
   0x0046753c <+76>:    push   %eax
   0x0046753d <+77>:    call   0x466200 <getenv@plt>
   0x00467542 <+82>:    lea    0x190c(%ebx),%edx
   0x00467548 <+88>:    add    $0x10,%esp
   0x0046754b <+91>:    test   %eax,%eax
   0x0046754d <+93>:    mov    %edx,-0x20(%ebp)
   0x00467550 <+96>:    mov    %eax,(%edx)
   0x00467552 <+98>:    je     0x467565 <main+117>
   0x00467554 <+100>:   sub    $0xc,%esp
   0x00467557 <+103>:   push   %eax
   0x00467558 <+104>:   call   0x466ce0 <mystrdup@plt>
   0x0046755d <+109>:   mov    -0x20(%ebp),%edx
   0x00467560 <+112>:   add    $0x10,%esp
   0x00467563 <+115>:   mov    %eax,(%edx)
   0x00467565 <+117>:   sub    $0xc,%esp
   0x00467568 <+120>:   pushl  -0x94(%ebx)
   0x0046756e <+126>:   call   0x4669e0 <set_DeadPipe_handler@plt>
   0x00467573 <+131>:   mov    %edi,(%esp)
---Type <return> to continue, or q <return> to quit---
   0x00467576 <+134>:   call   0x465f40 <override_environ@plt>
   0x0046757b <+139>:   pop    %eax
   0x0046757c <+140>:   lea    -0x21c55(%ebx),%eax
   0x00467582 <+146>:   pop    %edx
   0x00467583 <+147>:   push   $0x0
   0x00467585 <+149>:   pushl  -0x1cc(%ebx)
   0x0046758b <+155>:   push   $0x0
   0x0046758d <+157>:   push   %esi
   0x0046758e <+158>:   pushl  -0x1c(%ebp)
   0x00467591 <+161>:   push   %eax
   0x00467592 <+162>:   call   0x466590 <InitMyApp@plt>
   0x00467597 <+167>:   add    $0x20,%esp
   0x0046759a <+170>:   call   0x467460 <LinkAfterStepConfig@plt>
   0x0046759f <+175>:   lea    0x1928(%ebx),%eax
   0x004675a5 <+181>:   sub    $0x8,%esp
   0x004675a8 <+184>:   mov    %eax,%ecx
   0x004675aa <+186>:   mov    %eax,-0x30(%ebp)
   0x004675ad <+189>:   mov    -0xec(%ebx),%eax
   0x004675b3 <+195>:   mov    %eax,-0x24(%ebp)
   0x004675b6 <+198>:   mov    (%eax),%eax
   0x004675b8 <+200>:   mov    0x24(%eax),%eax
   0x004675bb <+203>:   and    $0xfffffffe,%eax
   0x004675be <+206>:   or     $0x4,%ah
   0x004675c1 <+209>:   mov    %eax,(%ecx)
   0x004675c3 <+211>:   pushl  -0x24(%ebx)
   0x004675c9 <+217>:   push   $0xa
   0x004675cb <+219>:   call   0x466bd0 <signal@plt>
   0x004675d0 <+224>:   movl   $0x2,(%esp)
   0x004675d7 <+231>:   call   0x469aa0 <IgnoreSignal>
   0x004675dc <+236>:   movl   $0x1,(%esp)
   0x004675e3 <+243>:   call   0x469aa0 <IgnoreSignal>
   0x004675e8 <+248>:   movl   $0x3,(%esp)
   0x004675ef <+255>:   call   0x469aa0 <IgnoreSignal>
   0x004675f4 <+260>:   movl   $0xf,(%esp)
   0x004675fb <+267>:   call   0x469aa0 <IgnoreSignal>
   0x00467600 <+272>:   mov    -0x40(%ebx),%eax
   0x00467606 <+278>:   pop    %ecx
   0x00467607 <+279>:   pop    %esi
   0x00467608 <+280>:   push   $0x50003d
   0x0046760d <+285>:   pushl  (%eax)
   0x0046760f <+287>:   mov    %eax,-0x1c(%ebp)
   0x00467612 <+290>:   call   0x465a10 <ConnectX@plt>
---Type <return> to continue, or q <return> to quit---
   0x00467617 <+295>:   add    $0x10,%esp
   0x0046761a <+298>:   test   %eax,%eax
   0x0046761c <+300>:   js     0x467c79 <main+1929>
   0x00467622 <+306>:   call   0x4760f0 <asdbus_init>
   0x00467627 <+311>:   lea    0x98c(%ebx),%ecx
   0x0046762d <+317>:   mov    -0x1c(%ebp),%edi
   0x00467630 <+320>:   sub    $0x4,%esp
   0x00467633 <+323>:   mov    %eax,(%ecx)
   0x00467635 <+325>:   mov    (%edi),%eax
   0x00467637 <+327>:   mov    %ecx,%esi
   0x00467639 <+329>:   mov    0x24(%eax),%edx
   0x0046763c <+332>:   pushl  0x58(%edx)
   0x0046763f <+335>:   pushl  0x28(%eax)
   0x00467642 <+338>:   mov    -0xf4(%ebx),%eax
   0x00467648 <+344>:   pushl  (%eax)
   0x0046764a <+346>:   mov    %eax,-0x34(%ebp)
   0x0046764d <+349>:   call   0x4669f0 <XSetWindowBackground@plt>
   0x00467652 <+354>:   mov    (%edi),%edi
   0x00467654 <+356>:   call   0x466570 <get_random_tint_color@plt>
   0x00467659 <+361>:   mov    %eax,0x598(%edi)
   0x0046765f <+367>:   call   0x475a80 <cover_desktop>
   0x00467664 <+372>:   mov    -0x30(%ebp),%eax
   0x00467667 <+375>:   add    $0x10,%esp
   0x0046766a <+378>:   testb  $0x2,(%eax)
   0x0046766d <+381>:   jne    0x467a48 <main+1368>
   0x00467673 <+387>:   lea    -0x21c4b(%ebx),%ecx
   0x00467679 <+393>:   lea    -0x222e0(%ebx),%edx
   0x0046767f <+399>:   push   %eax
   0x00467680 <+400>:   push   %eax
   0x00467681 <+401>:   push   %ecx
   0x00467682 <+402>:   mov    %ecx,-0x28(%ebp)
   0x00467685 <+405>:   push   %edx
   0x00467686 <+406>:   mov    %edx,-0x20(%ebp)
   0x00467689 <+409>:   call   0x466580 <show_progress@plt>
   0x0046768e <+414>:   mov    -0x28(%ebp),%ecx
   0x00467691 <+417>:   mov    -0x20(%ebp),%edx
   0x00467694 <+420>:   add    $0xc,%esp
   0x00467697 <+423>:   push   %ecx
   0x00467698 <+424>:   push   %edx
   0x00467699 <+425>:   push   $0x1
   0x0046769b <+427>:   call   0x475dd0 <display_progress>
   0x004676a0 <+432>:   mov    (%esi),%edi
---Type <return> to continue, or q <return> to quit---
   0x004676a2 <+434>:   add    $0x10,%esp
   0x004676a5 <+437>:   test   %edi,%edi
   0x004676a7 <+439>:   js     0x4676e7 <main+503>
   0x004676a9 <+441>:   lea    -0x222bc(%ebx),%eax
   0x004676af <+447>:   sub    $0xc,%esp
   0x004676b2 <+450>:   push   %eax
   0x004676b3 <+451>:   call   0x466580 <show_progress@plt>
   0x004676b8 <+456>:   lea    0x1908(%ebx),%eax
   0x004676be <+462>:   pop    %esi
   0x004676bf <+463>:   pushl  (%eax)
   0x004676c1 <+465>:   call   0x4763d0 <asdbus_RegisterSMClient>
   0x004676c6 <+470>:   lea    0x1920(%ebx),%edx
   0x004676cc <+476>:   add    $0x10,%esp
   0x004676cf <+479>:   test   %eax,%eax
   0x004676d1 <+481>:   mov    %eax,(%edx)
   0x004676d3 <+483>:   je     0x4676e7 <main+503>
   0x004676d5 <+485>:   push   %ecx
   0x004676d6 <+486>:   push   %ecx
   0x004676d7 <+487>:   push   %eax
   0x004676d8 <+488>:   lea    -0x2228c(%ebx),%eax
   0x004676de <+494>:   push   %eax
   0x004676df <+495>:   call   0x466580 <show_progress@plt>
   0x004676e4 <+500>:   add    $0x10,%esp
   0x004676e7 <+503>:   lea    -0x21e4b(%ebx),%edx
   0x004676ed <+509>:   lea    -0x21c44(%ebx),%edi
   0x004676f3 <+515>:   lea    -0x21ac4(%ebx),%eax
   0x004676f9 <+521>:   push   %edi
   0x004676fa <+522>:   push   $0xde
   0x004676ff <+527>:   mov    %edx,%esi
   0x00467701 <+529>:   push   %eax
   0x00467702 <+530>:   push   %edx
   0x00467703 <+531>:   mov    %edx,-0x38(%ebp)
   0x00467706 <+534>:   mov    %eax,-0x28(%ebp)
   0x00467709 <+537>:   call   0x4656d0 <show_debug@plt>
   0x0046770e <+542>:   call   0x465430 <InitSession@plt>
   0x00467713 <+547>:   call   0x469bc0 <RemapFunctions>
=> 0x00467718 <+552>:   push   %edi
   0x00467719 <+553>:   push   $0xe2
   0x0046771e <+558>:   pushl  -0x28(%ebp)
   0x00467721 <+561>:   push   %esi
   0x00467722 <+562>:   call   0x4656d0 <show_debug@plt>
   0x00467727 <+567>:   mov    -0x34(%ebp),%ecx
---Type <return> to continue, or q <return> to quit---
   0x0046772a <+570>:   add    $0x18,%esp
   0x0046772d <+573>:   push   $0x0
   0x0046772f <+575>:   pushl  (%ecx)
   0x00467731 <+577>:   call   0x465c80 <XSync@plt>
   0x00467736 <+582>:   push   %edi
   0x00467737 <+583>:   push   $0xe4
   0x0046773c <+588>:   pushl  -0x28(%ebp)
   0x0046773f <+591>:   push   %esi
   0x00467740 <+592>:   call   0x4656d0 <show_debug@plt>
   0x00467745 <+597>:   add    $0x14,%esp
   0x00467748 <+600>:   pushl  -0x1a0(%ebx)
   0x0046774e <+606>:   call   0x465080 <set_parent_hints_func@plt>
   0x00467753 <+611>:   push   %edi
   0x00467754 <+612>:   push   $0xe6
   0x00467759 <+617>:   pushl  -0x28(%ebp)
   0x0046775c <+620>:   push   %esi
   0x0046775d <+621>:   call   0x4656d0 <show_debug@plt>
   0x00467762 <+626>:   add    $0x20,%esp
   0x00467765 <+629>:   call   0x48df00 <SetupModules>
   0x0046776a <+634>:   push   %edi
   0x0046776b <+635>:   push   $0xe8
   0x00467770 <+640>:   pushl  -0x28(%ebp)
   0x00467773 <+643>:   push   %esi
   0x00467774 <+644>:   call   0x4656d0 <show_debug@plt>
   0x00467779 <+649>:   call   0x4691b0 <SetupScreen>
   0x0046777e <+654>:   push   %edi
   0x0046777f <+655>:   push   $0xea
   0x00467784 <+660>:   pushl  -0x28(%ebp)
   0x00467787 <+663>:   push   %esi
   0x00467788 <+664>:   call   0x4656d0 <show_debug@plt>
   0x0046778d <+669>:   add    $0x14,%esp
   0x00467790 <+672>:   push   $0x1
   0x00467792 <+674>:   call   0x467100 <event_setup@plt>
   0x00467797 <+679>:   push   %edi
   0x00467798 <+680>:   push   $0xec
   0x0046779d <+685>:   pushl  -0x28(%ebp)
   0x004677a0 <+688>:   push   %esi
   0x004677a1 <+689>:   call   0x4656d0 <show_debug@plt>
   0x004677a6 <+694>:   mov    -0x1c(%ebp),%eax
   0x004677a9 <+697>:   add    $0x20,%esp
   0x004677ac <+700>:   mov    (%eax),%eax
   0x004677ae <+702>:   mov    0x8(%eax),%edx
---Type <return> to continue, or q <return> to quit---
   0x004677b1 <+705>:   test   %edx,%edx
   0x004677b3 <+707>:   jle    0x4678a8 <main+952>
   0x004677b9 <+713>:   lea    -0x21c37(%ebx),%eax
   0x004677bf <+719>:   xor    %edi,%edi
   0x004677c1 <+721>:   mov    %eax,-0x20(%ebp)
   0x004677c4 <+724>:   lea    -0x21c1c(%ebx),%eax
   0x004677ca <+730>:   mov    %eax,-0x3c(%ebp)
   0x004677cd <+733>:   mov    -0x30(%ebx),%eax
   0x004677d3 <+739>:   mov    %eax,-0x2c(%ebp)
   0x004677d6 <+742>:   jmp    0x467839 <main+841>
   0x004677d8 <+744>:   nop
   0x004677d9 <+745>:   lea    0x0(%esi,%eiz,1),%esi
   0x004677e0 <+752>:   mov    -0x24(%ebp),%edx
   0x004677e3 <+755>:   mov    (%edx),%ecx
   0x004677e5 <+757>:   testb  $0x8,0x24(%ecx)
   0x004677e9 <+761>:   jne    0x467831 <main+833>
   0x004677eb <+763>:   cmp    $0x1c,%edi
   0x004677ee <+766>:   mov    $0xffffffff,%eax
   0x004677f3 <+771>:   cmovle %edi,%eax
   0x004677f6 <+774>:   sub    $0xc,%esp
   0x004677f9 <+777>:   push   $0x0
   0x004677fb <+779>:   push   $0x1
   0x004677fd <+781>:   push   $0x1
   0x004677ff <+783>:   push   $0x0
   0x00467801 <+785>:   push   $0x0
   0x00467803 <+787>:   push   $0x0
   0x00467805 <+789>:   push   %edi
   0x00467806 <+790>:   push   %eax
   0x00467807 <+791>:   mov    -0x2c(%ebp),%eax
   0x0046780a <+794>:   pushl  (%eax)
   0x0046780c <+796>:   call   0x465890 <spawn_child@plt>
   0x00467811 <+801>:   add    $0x30,%esp
   0x00467814 <+804>:   test   %eax,%eax
   0x00467816 <+806>:   js     0x467a60 <main+1392>
   0x0046781c <+812>:   sub    $0x8,%esp
   0x0046781f <+815>:   push   %eax
   0x00467820 <+816>:   lea    -0x22240(%ebx),%eax
   0x00467826 <+822>:   push   %eax
   0x00467827 <+823>:   call   0x466580 <show_progress@plt>
   0x0046782c <+828>:   mov    (%esi),%eax
   0x0046782e <+830>:   add    $0x10,%esp
   0x00467831 <+833>:   add    $0x1,%edi
---Type <return> to continue, or q <return> to quit---
   0x00467834 <+836>:   cmp    %edi,0x8(%eax)
   0x00467837 <+839>:   jle    0x4678a8 <main+952>
   0x00467839 <+841>:   mov    -0x20(%ebp),%esi
   0x0046783c <+844>:   sub    $0x8,%esp
   0x0046783f <+847>:   push   %edi
   0x00467840 <+848>:   push   %esi
   0x00467841 <+849>:   call   0x466580 <show_progress@plt>
   0x00467846 <+854>:   add    $0xc,%esp
   0x00467849 <+857>:   push   %edi
   0x0046784a <+858>:   push   %esi
   0x0046784b <+859>:   push   $0x1
   0x0046784d <+861>:   call   0x475dd0 <display_progress>
   0x00467852 <+866>:   mov    -0x1c(%ebp),%esi
   0x00467855 <+869>:   add    $0x10,%esp
   0x00467858 <+872>:   mov    (%esi),%eax
   0x0046785a <+874>:   cmp    %edi,(%eax)
   0x0046785c <+876>:   jne    0x4677e0 <main+752>
   0x0046785e <+878>:   sub    $0xc,%esp
   0x00467861 <+881>:   push   %eax
   0x00467862 <+882>:   call   0x4661c0 <make_screen_envvars@plt>
   0x00467867 <+887>:   mov    -0x1c(%ebp),%esi
   0x0046786a <+890>:   pop    %ecx
   0x0046786b <+891>:   mov    (%esi),%eax
   0x0046786d <+893>:   pushl  0x18(%eax)
   0x00467870 <+896>:   call   0x4657c0 <putenv@plt>
   0x00467875 <+901>:   pop    %eax
   0x00467876 <+902>:   mov    (%esi),%eax
   0x00467878 <+904>:   pushl  0x1c(%eax)
   0x0046787b <+907>:   call   0x4657c0 <putenv@plt>
   0x00467880 <+912>:   movl   $0x6,(%esp)
   0x00467887 <+919>:   call   0x467270 <is_output_level_under_threshold@plt>
   0x0046788c <+924>:   add    $0x10,%esp
   0x0046788f <+927>:   test   %eax,%eax
   0x00467891 <+929>:   jne    0x467ab4 <main+1476>
   0x00467897 <+935>:   mov    (%esi),%eax
   0x00467899 <+937>:   add    $0x1,%edi
   0x0046789c <+940>:   cmp    %edi,0x8(%eax)
   0x0046789f <+943>:   jg     0x467839 <main+841>
   0x004678a1 <+945>:   lea    0x0(%esi,%eiz,1),%esi
   0x004678a8 <+952>:   movl   $0x2710,0x98(%eax)
   0x004678b2 <+962>:   mov    0x20(%eax),%eax
   0x004678b5 <+965>:   mov    0xb0(%eax),%edx
---Type <return> to continue, or q <return> to quit---
   0x004678bb <+971>:   test   $0x40,%dh
   0x004678be <+974>:   je     0x467a7d <main+1421>
   0x004678c4 <+980>:   mov    0x9c(%eax),%ecx
   0x004678ca <+986>:   xor    %edi,%edi
   0x004678cc <+988>:   movl   $0x0,-0x20(%ebp)
   0x004678d3 <+995>:   mov    %ecx,-0x24(%ebp)
   0x004678d6 <+998>:   and    $0x80,%dh
   0x004678d9 <+1001>:  je     0x4678ea <main+1018>
   0x004678db <+1003>:  mov    0xa4(%eax),%edx
   0x004678e1 <+1009>:  mov    0xa8(%eax),%edi
   0x004678e7 <+1015>:  mov    %edx,-0x20(%ebp)
   0x004678ea <+1018>:  sub    $0xc,%esp
   0x004678ed <+1021>:  push   $0x0
   0x004678ef <+1023>:  call   0x492d20 <ChangeDesks>
   0x004678f4 <+1028>:  pop    %eax
   0x004678f5 <+1029>:  pop    %edx
   0x004678f6 <+1030>:  push   $0xffffffff
   0x004678f8 <+1032>:  push   $0x0
   0x004678fa <+1034>:  call   0x474180 <LoadASConfig>
   0x004678ff <+1039>:  pop    %ecx
   0x00467900 <+1040>:  pop    %esi
   0x00467901 <+1041>:  mov    -0x34(%ebp),%esi
   0x00467904 <+1044>:  push   $0x0
   0x00467906 <+1046>:  pushl  (%esi)
   0x00467908 <+1048>:  call   0x465c80 <XSync@plt>
   0x0046790d <+1053>:  call   0x4672b0 <grab_server@plt>
   0x00467912 <+1058>:  pop    %eax
   0x00467913 <+1059>:  mov    -0x1c(%ebp),%eax
   0x00467916 <+1062>:  pushl  (%eax)
   0x00467918 <+1064>:  call   0x4665b0 <init_screen_panframes@plt>
   0x0046791d <+1069>:  pop    %eax
   0x0046791e <+1070>:  lea    -0x21bb0(%ebx),%eax
   0x00467924 <+1076>:  pop    %edx
   0x00467925 <+1077>:  push   %eax
   0x00467926 <+1078>:  push   $0x1
   0x00467928 <+1080>:  call   0x475dd0 <display_progress>
   0x0046792d <+1085>:  mov    -0x1c(%ebp),%eax
   0x00467930 <+1088>:  pop    %ecx
   0x00467931 <+1089>:  pushl  (%eax)
   0x00467933 <+1091>:  call   0x469690 <CaptureAllWindows>
   0x00467938 <+1096>:  pop    %eax
   0x00467939 <+1097>:  lea    -0x21b96(%ebx),%eax
---Type <return> to continue, or q <return> to quit---
   0x0046793f <+1103>:  pop    %edx
   0x00467940 <+1104>:  push   %eax
   0x00467941 <+1105>:  push   $0x0
   0x00467943 <+1107>:  call   0x475dd0 <display_progress>
   0x00467948 <+1112>:  mov    -0x1c(%ebp),%eax
   0x0046794b <+1115>:  pop    %ecx
   0x0046794c <+1116>:  pushl  (%eax)
   0x0046794e <+1118>:  call   0x464f40 <check_screen_panframes@plt>
   0x00467953 <+1123>:  movl   $0x0,(%esp)
   0x0046795a <+1130>:  call   0x466940 <sync_event_queue@plt>
   0x0046795f <+1135>:  call   0x467040 <ungrab_server@plt>
   0x00467964 <+1140>:  mov    -0x1c(%ebp),%eax
   0x00467967 <+1143>:  add    $0xc,%esp
   0x0046796a <+1146>:  mov    (%eax),%eax
   0x0046796c <+1148>:  pushl  0x118(%eax)
   0x00467972 <+1154>:  pushl  0x28(%eax)
   0x00467975 <+1157>:  pushl  (%esi)
   0x00467977 <+1159>:  call   0x465fb0 <XDefineCursor@plt>
   0x0046797c <+1164>:  mov    -0x1c(%ebp),%eax
   0x0046797f <+1167>:  mov    (%eax),%eax
   0x00467981 <+1169>:  mov    0x20(%eax),%eax
   0x00467984 <+1172>:  pushl  0xa8(%eax)
   0x0046798a <+1178>:  pushl  0xa4(%eax)
   0x00467990 <+1184>:  lea    -0x22004(%ebx),%eax
   0x00467996 <+1190>:  push   %eax
   0x00467997 <+1191>:  push   $0x1
   0x00467999 <+1193>:  call   0x475dd0 <display_progress>
   0x0046799e <+1198>:  add    $0x20,%esp
   0x004679a1 <+1201>:  call   0x482c70 <SetupFunctionHandlers>
   0x004679a6 <+1206>:  lea    -0x21fdc(%ebx),%eax
   0x004679ac <+1212>:  sub    $0x8,%esp
   0x004679af <+1215>:  push   %eax
   0x004679b0 <+1216>:  push   $0x1
   0x004679b2 <+1218>:  call   0x475dd0 <display_progress>
   0x004679b7 <+1223>:  call   0x47fd30 <ConfigureNotifyLoop>
   0x004679bc <+1228>:  pop    %esi
   0x004679bd <+1229>:  pop    %eax
   0x004679be <+1230>:  lea    -0x21b90(%ebx),%eax
   0x004679c4 <+1236>:  push   %eax
   0x004679c5 <+1237>:  push   $0x1
   0x004679c7 <+1239>:  call   0x475dd0 <display_progress>
   0x004679cc <+1244>:  call   0x475920 <remove_desktop_cover>
---Type <return> to continue, or q <return> to quit---
   0x004679d1 <+1249>:  lea    0x1924(%ebx),%eax
   0x004679d7 <+1255>:  add    $0x10,%esp
   0x004679da <+1258>:  testb  $0x1,(%eax)
   0x004679dd <+1261>:  je     0x467c3a <main+1866>
   0x004679e3 <+1267>:  mov    -0x30(%ebp),%esi
   0x004679e6 <+1270>:  mov    (%esi),%eax
   0x004679e8 <+1272>:  mov    %eax,-0x1c(%ebp)
   0x004679eb <+1275>:  and    $0xfb,%ah
   0x004679ee <+1278>:  or     $0x1,%eax
   0x004679f1 <+1281>:  mov    %eax,(%esi)
   0x004679f3 <+1283>:  push   $0x0
   0x004679f5 <+1285>:  push   %edi
   0x004679f6 <+1286>:  pushl  -0x20(%ebp)
   0x004679f9 <+1289>:  pushl  -0x24(%ebp)
   0x004679fc <+1292>:  call   0x4922a0 <ChangeDeskAndViewport>
   0x00467a01 <+1297>:  add    $0xc,%esp
   0x00467a04 <+1300>:  push   $0x16e
   0x00467a09 <+1305>:  pushl  -0x28(%ebp)
   0x00467a0c <+1308>:  pushl  -0x38(%ebp)
   0x00467a0f <+1311>:  call   0x464f50 <debugout_print_linestamp@plt>
   0x00467a14 <+1316>:  lea    -0x2198f(%ebx),%eax
   0x00467a1a <+1322>:  add    $0xc,%esp
   0x00467a1d <+1325>:  push   %eax
   0x00467a1e <+1326>:  lea    -0x21b86(%ebx),%eax
   0x00467a24 <+1332>:  push   %eax
   0x00467a25 <+1333>:  mov    -0xb4(%ebx),%eax
   0x00467a2b <+1339>:  pushl  (%eax)
   0x00467a2d <+1341>:  call   0x465ab0 <fprintf@plt>
   0x00467a32 <+1346>:  call   0x480130 <HandleEvents>
   0x00467a37 <+1351>:  add    $0x10,%esp
   0x00467a3a <+1354>:  xor    %eax,%eax
   0x00467a3c <+1356>:  lea    -0x10(%ebp),%esp
   0x00467a3f <+1359>:  pop    %ecx
   0x00467a40 <+1360>:  pop    %ebx
   0x00467a41 <+1361>:  pop    %esi
   0x00467a42 <+1362>:  pop    %edi
   0x00467a43 <+1363>:  pop    %ebp
   0x00467a44 <+1364>:  lea    -0x4(%ecx),%esp
   0x00467a47 <+1367>:  ret
   0x00467a48 <+1368>:  lea    -0x21c4b(%ebx),%ecx
   0x00467a4e <+1374>:  lea    -0x22304(%ebx),%edx
   0x00467a54 <+1380>:  push   %eax
---Type <return> to continue, or q <return> to quit---
   0x00467a55 <+1381>:  push   %eax
   0x00467a56 <+1382>:  mov    %ecx,-0x28(%ebp)
   0x00467a59 <+1385>:  push   %ecx
   0x00467a5a <+1386>:  jmp    0x467685 <main+405>
   0x00467a5f <+1391>:  nop
   0x00467a60 <+1392>:  lea    -0x22210(%ebx),%eax
   0x00467a66 <+1398>:  sub    $0x8,%esp
   0x00467a69 <+1401>:  push   %edi
   0x00467a6a <+1402>:  push   %eax
   0x00467a6b <+1403>:  call   0x465880 <show_error@plt>
   0x00467a70 <+1408>:  mov    -0x1c(%ebp),%eax
   0x00467a73 <+1411>:  add    $0x10,%esp
   0x00467a76 <+1414>:  mov    (%eax),%eax
   0x00467a78 <+1416>:  jmp    0x467831 <main+833>
   0x00467a7d <+1421>:  test   $0x8,%dl
   0x00467a80 <+1424>:  je     0x467c56 <main+1894>
   0x00467a86 <+1430>:  mov    0x44(%eax),%ecx
   0x00467a89 <+1433>:  test   $0x10,%dl
   0x00467a8c <+1436>:  mov    %ecx,%edi
   0x00467a8e <+1438>:  mov    %ecx,-0x24(%ebp)
   0x00467a91 <+1441>:  je     0x467c6b <main+1915>
   0x00467a97 <+1447>:  cmp    0x3c(%eax),%ecx
   0x00467a9a <+1450>:  jae    0x467c6b <main+1915>
   0x00467aa0 <+1456>:  mov    0x40(%eax),%ecx
   0x00467aa3 <+1459>:  add    %edi,%edi
   0x00467aa5 <+1461>:  mov    (%ecx,%edi,4),%esi
   0x00467aa8 <+1464>:  mov    0x4(%ecx,%edi,4),%edi
   0x00467aac <+1468>:  mov    %esi,-0x20(%ebp)
   0x00467aaf <+1471>:  jmp    0x4678d6 <main+998>
   0x00467ab4 <+1476>:  mov    -0x1c(%ebp),%esi
   0x00467ab7 <+1479>:  mov    (%esi),%eax
   0x00467ab9 <+1481>:  pushl  0x10(%eax)
   0x00467abc <+1484>:  pushl  0xc(%eax)
   0x00467abf <+1487>:  pushl  (%eax)
   0x00467ac1 <+1489>:  pushl  -0x3c(%ebp)
   0x00467ac4 <+1492>:  call   0x466580 <show_progress@plt>
   0x00467ac9 <+1497>:  mov    (%esi),%eax
   0x00467acb <+1499>:  pop    %edx
   0x00467acc <+1500>:  pushl  0x10(%eax)
   0x00467acf <+1503>:  pushl  0xc(%eax)
   0x00467ad2 <+1506>:  pushl  (%eax)
   0x00467ad4 <+1508>:  lea    -0x21c02(%ebx),%eax
---Type <return> to continue, or q <return> to quit---
   0x00467ada <+1514>:  push   %eax
   0x00467adb <+1515>:  push   $0x1
   0x00467add <+1517>:  call   0x475dd0 <display_progress>
   0x00467ae2 <+1522>:  mov    (%esi),%eax
   0x00467ae4 <+1524>:  add    $0x1c,%esp
   0x00467ae7 <+1527>:  pushl  0x28(%eax)
   0x00467aea <+1530>:  pushl  (%eax)
   0x00467aec <+1532>:  lea    -0x21be6(%ebx),%eax
   0x00467af2 <+1538>:  push   %eax
   0x00467af3 <+1539>:  call   0x466580 <show_progress@plt>
   0x00467af8 <+1544>:  mov    (%esi),%eax
   0x00467afa <+1546>:  add    $0xc,%esp
   0x00467afd <+1549>:  mov    0x24(%eax),%ecx
   0x00467b00 <+1552>:  pushl  0x44(%ecx)
   0x00467b03 <+1555>:  pushl  (%eax)
   0x00467b05 <+1557>:  lea    -0x21bce(%ebx),%eax
   0x00467b0b <+1563>:  push   %eax
   0x00467b0c <+1564>:  call   0x466580 <show_progress@plt>
   0x00467b11 <+1569>:  mov    (%esi),%eax
   0x00467b13 <+1571>:  mov    0x24(%eax),%ecx
   0x00467b16 <+1574>:  pushl  0x44(%ecx)
   0x00467b19 <+1577>:  pushl  (%eax)
   0x00467b1b <+1579>:  lea    -0x221d4(%ebx),%eax
   0x00467b21 <+1585>:  push   %eax
   0x00467b22 <+1586>:  push   $0x1
   0x00467b24 <+1588>:  call   0x475dd0 <display_progress>
   0x00467b29 <+1593>:  mov    (%esi),%eax
   0x00467b2b <+1595>:  add    $0x1c,%esp
   0x00467b2e <+1598>:  mov    0x24(%eax),%ecx
   0x00467b31 <+1601>:  pushl  0x50(%ecx)
   0x00467b34 <+1604>:  pushl  (%eax)
   0x00467b36 <+1606>:  lea    -0x221b4(%ebx),%eax
   0x00467b3c <+1612>:  push   %eax
   0x00467b3d <+1613>:  call   0x466580 <show_progress@plt>
   0x00467b42 <+1618>:  mov    (%esi),%eax
   0x00467b44 <+1620>:  add    $0xc,%esp
   0x00467b47 <+1623>:  mov    0x24(%eax),%ecx
   0x00467b4a <+1626>:  pushl  0x8(%ecx)
   0x00467b4d <+1629>:  pushl  (%eax)
   0x00467b4f <+1631>:  lea    -0x22190(%ebx),%eax
   0x00467b55 <+1637>:  push   %eax
   0x00467b56 <+1638>:  call   0x466580 <show_progress@plt>
---Type <return> to continue, or q <return> to quit---
   0x00467b5b <+1643>:  mov    (%esi),%eax
   0x00467b5d <+1645>:  mov    0x24(%eax),%ecx
   0x00467b60 <+1648>:  pushl  0x8(%ecx)
   0x00467b63 <+1651>:  pushl  (%eax)
   0x00467b65 <+1653>:  lea    -0x2216c(%ebx),%eax
   0x00467b6b <+1659>:  push   %eax
   0x00467b6c <+1660>:  push   $0x1
   0x00467b6e <+1662>:  call   0x475dd0 <display_progress>
   0x00467b73 <+1667>:  mov    (%esi),%eax
   0x00467b75 <+1669>:  add    $0x1c,%esp
   0x00467b78 <+1672>:  mov    0x24(%eax),%ecx
   0x00467b7b <+1675>:  pushl  0x14(%ecx)
   0x00467b7e <+1678>:  pushl  (%eax)
   0x00467b80 <+1680>:  lea    -0x22144(%ebx),%eax
   0x00467b86 <+1686>:  push   %eax
   0x00467b87 <+1687>:  call   0x466580 <show_progress@plt>
   0x00467b8c <+1692>:  mov    (%esi),%eax
   0x00467b8e <+1694>:  mov    0x24(%eax),%ecx
   0x00467b91 <+1697>:  pushl  0x14(%ecx)
   0x00467b94 <+1700>:  pushl  (%eax)
   0x00467b96 <+1702>:  lea    -0x22120(%ebx),%eax
   0x00467b9c <+1708>:  push   %eax
   0x00467b9d <+1709>:  push   $0x1
   0x00467b9f <+1711>:  call   0x475dd0 <display_progress>
   0x00467ba4 <+1716>:  mov    (%esi),%eax
   0x00467ba6 <+1718>:  add    $0x1c,%esp
   0x00467ba9 <+1721>:  mov    0x24(%eax),%ecx
   0x00467bac <+1724>:  pushl  0x18(%ecx)
   0x00467baf <+1727>:  pushl  (%eax)
   0x00467bb1 <+1729>:  lea    -0x220f8(%ebx),%eax
   0x00467bb7 <+1735>:  push   %eax
   0x00467bb8 <+1736>:  call   0x466580 <show_progress@plt>
   0x00467bbd <+1741>:  mov    (%esi),%eax
   0x00467bbf <+1743>:  add    $0xc,%esp
   0x00467bc2 <+1746>:  mov    0x24(%eax),%ecx
   0x00467bc5 <+1749>:  pushl  0x1c(%ecx)
   0x00467bc8 <+1752>:  pushl  (%eax)
   0x00467bca <+1754>:  lea    -0x220cc(%ebx),%eax
   0x00467bd0 <+1760>:  push   %eax
   0x00467bd1 <+1761>:  call   0x466580 <show_progress@plt>
   0x00467bd6 <+1766>:  mov    (%esi),%eax
   0x00467bd8 <+1768>:  add    $0xc,%esp
---Type <return> to continue, or q <return> to quit---
   0x00467bdb <+1771>:  mov    0x24(%eax),%ecx
   0x00467bde <+1774>:  pushl  0x20(%ecx)
   0x00467be1 <+1777>:  pushl  (%eax)
   0x00467be3 <+1779>:  lea    -0x220a0(%ebx),%eax
   0x00467be9 <+1785>:  push   %eax
   0x00467bea <+1786>:  call   0x466580 <show_progress@plt>
   0x00467bef <+1791>:  mov    (%esi),%eax
   0x00467bf1 <+1793>:  add    $0xc,%esp
   0x00467bf4 <+1796>:  pushl  0x18(%eax)
   0x00467bf7 <+1799>:  pushl  (%eax)
   0x00467bf9 <+1801>:  lea    -0x22074(%ebx),%eax
   0x00467bff <+1807>:  push   %eax
   0x00467c00 <+1808>:  call   0x466580 <show_progress@plt>
   0x00467c05 <+1813>:  mov    (%esi),%eax
   0x00467c07 <+1815>:  add    $0xc,%esp
   0x00467c0a <+1818>:  pushl  0x1c(%eax)
   0x00467c0d <+1821>:  pushl  (%eax)
   0x00467c0f <+1823>:  lea    -0x22050(%ebx),%eax
   0x00467c15 <+1829>:  push   %eax
   0x00467c16 <+1830>:  call   0x466580 <show_progress@plt>
   0x00467c1b <+1835>:  mov    (%esi),%eax
   0x00467c1d <+1837>:  pushl  0x1c(%eax)
   0x00467c20 <+1840>:  pushl  (%eax)
   0x00467c22 <+1842>:  lea    -0x2202c(%ebx),%eax
   0x00467c28 <+1848>:  push   %eax
   0x00467c29 <+1849>:  push   $0x1
   0x00467c2b <+1851>:  call   0x475dd0 <display_progress>
   0x00467c30 <+1856>:  mov    (%esi),%eax
   0x00467c32 <+1858>:  add    $0x20,%esp
   0x00467c35 <+1861>:  jmp    0x467831 <main+833>
   0x00467c3a <+1866>:  mov    -0x30(%ebp),%eax
   0x00467c3d <+1869>:  sub    $0xc,%esp
   0x00467c40 <+1872>:  mov    (%eax),%eax
   0x00467c42 <+1874>:  mov    %eax,-0x1c(%ebp)
   0x00467c45 <+1877>:  and    $0x2,%eax
   0x00467c48 <+1880>:  push   %eax
   0x00467c49 <+1881>:  call   0x4699c0 <DoAutoexec>
   0x00467c4e <+1886>:  add    $0x10,%esp
   0x00467c51 <+1889>:  jmp    0x4679e3 <main+1267>
   0x00467c56 <+1894>:  movl   $0x0,-0x24(%ebp)
   0x00467c5d <+1901>:  xor    %edi,%edi
   0x00467c5f <+1903>:  movl   $0x0,-0x20(%ebp)
---Type <return> to continue, or q <return> to quit---
   0x00467c66 <+1910>:  jmp    0x4678d6 <main+998>
   0x00467c6b <+1915>:  xor    %edi,%edi
   0x00467c6d <+1917>:  movl   $0x0,-0x20(%ebp)
   0x00467c74 <+1924>:  jmp    0x4678d6 <main+998>
   0x00467c79 <+1929>:  lea    -0x2233c(%ebx),%eax
   0x00467c7f <+1935>:  sub    $0xc,%esp
   0x00467c82 <+1938>:  push   %eax
   0x00467c83 <+1939>:  call   0x465880 <show_error@plt>
   0x00467c88 <+1944>:  add    $0x10,%esp
   0x00467c8b <+1947>:  mov    $0x1,%eax
   0x00467c90 <+1952>:  jmp    0x467a3c <main+1356>
End of assembler dump.

[signature.asc (application/pgp-signature, inline)]






Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#255; Package afterstep. Full text available.



Acknowledgement sent to Kristopher John Gamrat <gamrat.kristopher@gmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. Full text available.



Message received at 255@bugs.devuan.org:

From: Kristopher John Gamrat <gamrat.kristopher@gmail.com>
To: 255@bugs.devuan.org
Subject: A *clue* to a fix
Date: Wed, 14 Nov 2018 23:03:27 -0500

[Message part 1 (text/plain, inline)]

A suggestion from the AfterStep IRC channel was to remove the file:

/var/lib/afterstep/menu/Debian/Applications/Science/Geoscience/.include

Doing so seems to have fixed AfterStep: it now loads correctly. Since the 
contents of this file seem to suggest it is for Debian, I am assuming the 
issue is with the packaging rather than with AfterStep itself, however trying 
to grep/find my way through the packaging scripts does not reveal where this 
file is coming from.

[signature.asc (application/pgp-signature, inline)]






Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Tue, 11 Dec 2018 08:43:00 UTC